SystemOrganization addCategory: #'A4BP-core'!
SystemOrganization addCategory: 'A4BP-core-log'!
SystemOrganization addCategory: 'A4BP-core-metric'!
SystemOrganization addCategory: 'A4BP-core-model'!
SystemOrganization addCategory: 'A4BP-core-parser'!
SystemOrganization addCategory: 'A4BP-core-parser-builder'!
SystemOrganization addCategory: 'A4BP-core-visitor'!

Dictionary subclass: #A4BPDictionary
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-core-model'!

!A4BPDictionary methodsFor: 'adding' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 10:04'!
add: value
	self at: value key put: value! !

!A4BPDictionary methodsFor: 'adding' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 10:22'!
addAll: aList
	aList do: [ :e | self add: e ]! !

Object subclass: #A4BPAbstractParser
	instanceVariableNames: 'lstElements'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-core-parser'!

!A4BPAbstractParser class methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 11:07'!
fromXMLDescription: xmlDescription 
	^ self new! !

!A4BPAbstractParser class methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:48'!
parseString: string
	^ self new parseString: string! !

!A4BPAbstractParser methodsFor: 'adding' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:48'!
addElement: aElement
	lstElements add: aElement! !

!A4BPAbstractParser methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/12/2014 09:57'!
elements
	^ self lstElements! !

!A4BPAbstractParser methodsFor: 'abstract' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:41'!
getBaseElement
	^ A4BPEmptyObj ! !

!A4BPAbstractParser methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:51'!
getDocumentBaseOnStream: aStream
	"return the object to be parser"
	| document |
	document := A4BPFactoryXMLParser parser parse: aStream.
	^ document! !

!A4BPAbstractParser methodsFor: 'initialization' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:48'!
initialize
	super initialize.
	lstElements := OrderedCollection new! !

!A4BPAbstractParser methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:48'!
lstElements
	^ lstElements! !

!A4BPAbstractParser methodsFor: 'abstract' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:48'!
lstOfTag
	^ OrderedCollection new.! !

!A4BPAbstractParser methodsFor: 'metric' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:48'!
numberOfElements
	^ self lstElements size.! !

!A4BPAbstractParser methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 08:38'!
parseFile: aFile
	"base on stream object the stream create BPObjets to represent the xml in memory"
	"
	[ ^ self parseFileWithError: aFile ]
		on: Error
		do: [ :e | A4BPLog f: 'Error Parsing file' , aFile fullPath asString , 'ERROR:' , e asString ]
	"
	^ self parseFileWithError: aFile ! !

!A4BPAbstractParser methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/6/2015 15:19'!
parseFileWithError: aFile
	"base on stream object the stream create BPObjets to represent the xml in memory"

	aFile
		readStreamDo: [ :stream | 
			| document eXml |
			"Start creating a XMLDOM Object from stream"
			document := self getDocumentBaseOnStream: stream.
			self lstOfTag
				do: [ :tag | 
					A4BPLog f: ' start with tags:' , tag.
					eXml := document allElementsNamed: tag.
					eXml
						do: [ :docAtr | 
							| obj |
							obj := self getBaseElement fromXMLDescription: docAtr.
							obj fileName: aFile fullPath basename.
							obj fullPath: aFile fullName.
							obj buildInternalRelations.
							A4BPLog f: ' new element was create,name:' , obj fileName.
							self addElement: obj ] ] ]! !

!A4BPAbstractParser methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 3/6/2015 15:17'!
parseStream: stream
	"base on stream object the stream create BPObjets to represent the xml in memory"

	| document eXml |
	"Start creating a XMLDOM Object from stream"
	"document := (XMLDOMParser on: stream) parseDocument."
	document := self getDocumentBaseOnStream: stream.
	self lstOfTag
		do: [ :tag | 
			A4BPLog f: ' start with tags:' , tag.
			eXml := document allElementsNamed: tag.
			eXml
				do: [ :docAtr | 
					| obj |
					obj := self getBaseElement fromXMLDescription: docAtr.
					obj buildInternalRelations.
					self addElement: obj ] ]! !

!A4BPAbstractParser methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:48'!
parseString: string
	^ self parseStream:  (ReadStream on: string)! !

Object subclass: #A4BPAbstractVisitor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-core-visitor'!

!A4BPAbstractVisitor commentStamp: '<historical>' prior: 0!
An A4BPAbstractVisitor is basic class to help to avoid visitor who not need all visitor implementation.
!

!A4BPAbstractVisitor methodsFor: 'initialization' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
initialize
	"comment stating purpose of message"

	super initialize.! !

!A4BPAbstractVisitor methodsFor: 'visitor-A4BP' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 09:52'!
visitA4BPEmptyObj: aModel
	^ self visitA4BPObject: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-A4BP' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 09:50'!
visitA4BPObject: aModel
	"do nothing"! !

!A4BPAbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 12/9/2014 09:40'!
visitA4BPSOAContext: aModel
	^ 0! !

!A4BPAbstractVisitor methodsFor: 'visitor-A4BP' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 09:52'!
visitA4BPUnParserObj: aModel
	^ self visitA4BPObject: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL-Activity-Basic' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBBPWait: aBPWait
	^ self visitBPObject: aBPWait ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL-Activity' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPActivity: aBPActivity
	^ self visitBPObject: aBPActivity ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL-Activity-Basic' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPActivityBasic: aBPActivityBasic
	^ self visitBPObject: aBPActivityBasic ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL-Activity' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPActivityComposite: aBPActivityComposite
	^ self visitBPObject: aBPActivityComposite ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL-Activity-Basic' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPAssign: aBPAssign
	^ self visitBPObject: aBPAssign ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPBPELObject: aModel
	^ self visitBPObject: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL-Activity-Basic' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPCatch: aBPCatch
	^ self visitBPObject: aBPCatch ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL-Activity-Basic' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPCatchAll: aBPCatchAll
		^ self visitBPObject: aBPCatchAll ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPCopy: aBPCopy
	^ self visitBPObject: aBPCopy ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL-Activity-Basic' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPElseIf: aBPElseIf
	^ self visitBPObject: aBPElseIf ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL-Activity-Basic' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPEmpty: aBPEmpty
	^ self visitBPObject: aBPEmpty ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL-Activity-Basic' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPExit: aBPExit
	^ self visitBPObject: 	aBPExit ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL-Activity' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPExtensionActitity: aBPExtensionActitity
	^ self visitBPObject: aBPExtensionActitity ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPFaultHandlers: aBPFaultHandlers
	^ self visitBPObject: aBPFaultHandlers ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL-Activity' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPFlow: aBPFlow
	^ self visitBPObject: aBPFlow ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPFor: aBPFor
	^ self visitBPObject: aBPFor! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL-Activity' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPForEach: aBPForEach
	^ self visitBPObject: aBPForEach ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPForUntilGroup: aBPForUntilGroup
	^ self visitBPObject: aBPForUntilGroup! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPFrom: aBPFrom
	^ self visitBPObject: aBPFrom! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL-Activity' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPIf: aBPIf
	^ self visitBPObject: aBPIf ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL-Activity-Basic' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPInvoke: aBPInvoke
	^ self visitBPObject: 	aBPInvoke ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20ActivityImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20AdHocSubProcessImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ArtifactImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20AssignmentImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20AssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20AuditingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20BPMNDiagramImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20BPMNEdgeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20BPMNLabelImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20BPMNLabelStyleImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20BPMNPlaneImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20BPMNShapeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20BaseElementImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20BoundaryEventImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20Bpmn2FactoryImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20Bpmn2PackageImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20BpmnDiFactoryImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20BpmnDiPackageImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20BusinessRuleTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20CallActivityImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20CallChoreographyImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20CallConversationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20CallableElementImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20CancelEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20CatchEventImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20CategoryImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20CategoryValueImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20ChoreographyActivityImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20ChoreographyImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20ChoreographyTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20CollaborationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20CompensateEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ComplexBehaviorDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20ComplexGatewayImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20ConditionalEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ConversationAssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ConversationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ConversationLinkImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ConversationNodeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20CorrelationKeyImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20CorrelationPropertyBindingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20CorrelationPropertyImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20CorrelationPropertyRetrievalExpressionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20CorrelationSubscriptionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DataAssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DataInputAssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DataInputImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DataObjectImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DataObjectReferenceImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DataOutputAssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DataOutputImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DataStateImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20DataStoreImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DataStoreReferenceImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DefinitionsImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DiFactoryImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DiPackageImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DiagramElementImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DiagramImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DocumentRootImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20DocumentationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20EdgeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20EndEventImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20EndPointImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20ErrorEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20ErrorImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20EscalationEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20EscalationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20EventBasedGatewayImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20EventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20EventImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20ExclusiveGatewayImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ExpressionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ExtensionAttributeDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ExtensionAttributeValueImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ExtensionDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ExtensionElementsImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ExtensionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20FlowElementImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20FlowElementsContainerImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20FlowNodeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20FormalExpressionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20GatewayImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20GlobalBusinessRuleTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20GlobalChoreographyTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20GlobalConversationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20GlobalManualTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20GlobalScriptTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20GlobalTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20GlobalUserTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20GroupImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20HumanPerformerImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20ImplicitThrowEventImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ImportImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20InclusiveGatewayImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20IncomingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20InputOutputBindingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20InputOutputSpecificationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20InputSetImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20InteractionNodeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20InterfaceImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20IntermediateCatchEventImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20IntermediateThrowEventImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ItemAwareElementImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20ItemDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20LabelImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20LabeledEdgeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20LabeledShapeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20LaneImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20LaneSetImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20LinkEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20LoopCharacteristicsImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20ManualTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20MessageEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20MessageFlowAssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20MessageFlowImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20MessageImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20MonitoringImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20MultiInstanceLoopCharacteristicsImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20NodeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/6/2015 18:20'!
visitBPMN20Object: aModel
	^ self visitBPObject: aModel ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20OperationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20OutgoingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20OutputSetImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20ParallelGatewayImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ParticipantAssociationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ParticipantImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ParticipantMultiplicityImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20PartnerEntityImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20PartnerRoleImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20PerformerImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20PlaneImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20PotentialOwnerImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20ProcessImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20PropertyImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20ReceiveTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20RefToBeBuild:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20RelationshipImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20RenderingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ResourceAssignmentExpressionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20ResourceImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ResourceParameterBindingImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ResourceParameterImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20ResourceRoleImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20RootElementImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20ScriptTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20SendTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20SequenceFlowImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20ServiceTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20ShapeImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20SignalEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20SignalImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20SourceRefImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20StandardLoopCharacteristicsImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20StartEventImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20StyleImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20SubChoreographyImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20SubConversationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20SubProcessImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20TargetRefImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20TaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20TerminateEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:45'!
visitBPMN20TextAnnotationImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20ThrowEventImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20TimerEventDefinitionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20TransactionImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 18:46'!
visitBPMN20UserTaskImpl:aModel 
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPMN20' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 09:40'!
visitBPNM20ExtensionImpl: aModel
	^ self visitBPMN20Object: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPObject: aBPObject
	^ 0! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPOnAlarmEvent: aBPOnAlarmEvent
	^ self visitBPObject: aBPOnAlarmEvent! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPOnEvent: aBPOnEvent
	^ self visitBPObject: aBPOnEvent! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPOnMessage: aBPOnMessage
	^ self visitBPObject: aBPOnMessage! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPOnMsgCommon: aBPOnMsgCommon
	^ self visitBPObject: aBPOnMsgCommon! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPPartnerLink: aBPPartnerLink
	^ self visitBPObject: 	aBPPartnerLink ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPPartnerLinks: aBPPartnerLinks
	^ self visitBPObject: aBPPartnerLinks ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL-Activity' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPPick: aBPPick
	^ self visitBPObject: aBPPick ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPProcess: aBPProcess
	^ self visitBPObject: aBPProcess ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL-Activity-Basic' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPReceive: aBPReceive
	^ self visitBPObject: aBPReceive ! !

!A4BPAbstractVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPRel: aVisitor
		^ self visitBPObject: aVisitor ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPRepeatEvery: aBPRepeatEvery
	^ self visitBPObject: aBPRepeatEvery! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL-Activity' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPRepeatUntil: aBPRepeatUntil
	^ self visitBPObject: aBPRepeatUntil ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL-Activity-Basic' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPReply: aBPReply
	^ self visitBPObject: aBPReply ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL-Activity-Basic' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPRethrow: aBPRethrow
	^ self visitBPObject: aBPRethrow ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL-Activity' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPScope: aBPScope
	^ self visitBPObject: aBPScope ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL-Activity' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPSequence: aBPSequence
	^ self visitBPObject: aBPSequence ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL-Activity' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPSwitch: aBPSwitch
	^ self visitBPObject: aBPSwitch ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL-Activity-Basic' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPThrow: aBPThrow
	^ self visitBPObject: aBPThrow ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPTo: aBPTo
	^ self visitBPObject: aBPTo! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPUntil: aBPUntil
	^ self visitBPObject: aBPUntil! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL-Activity' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPValidate: aBPValidate
	^ self visitBPObject: aBPValidate ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPVariable: aBPVariable
	^ self visitBPObject: aBPVariable ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPVariables: aBPVariables
	^ self visitBPObject: 	aBPVariables ! !

!A4BPAbstractVisitor methodsFor: 'visitor-WSDL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPWSDLBinding: aObj
	^ self visitBPObject: aObj! !

!A4BPAbstractVisitor methodsFor: 'visitor-WSDL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPWSDLDefinition: aObj
	^ self visitBPObject: aObj! !

!A4BPAbstractVisitor methodsFor: 'visitor-WSDL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPWSDLDocumentation: aObj
	^ self visitBPObject: aObj! !

!A4BPAbstractVisitor methodsFor: 'visitor-WSDL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPWSDLElement: aObj
	^ self visitBPObject: aObj! !

!A4BPAbstractVisitor methodsFor: 'visitor-WSDL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPWSDLImport: aObj
	^ self visitBPObject: aObj! !

!A4BPAbstractVisitor methodsFor: 'visitor-WSDL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPWSDLInclude:  aObj
	^ self visitBPObject: aObj! !

!A4BPAbstractVisitor methodsFor: 'visitor-WSDL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPWSDLMessage:  aObj
	^ self visitBPObject: aObj! !

!A4BPAbstractVisitor methodsFor: 'visitor-WSDL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPWSDLObject: aModel
	^ self visitBPObject: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-WSDL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPWSDLOperation:  aObj
	^ self visitBPObject: aObj! !

!A4BPAbstractVisitor methodsFor: 'visitor-WSDL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPWSDLPart: aObj
	^ self visitBPObject: aObj! !

!A4BPAbstractVisitor methodsFor: 'visitor-WSDL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPWSDLPlnkRole: aObj
	^ self visitBPObject: aObj! !

!A4BPAbstractVisitor methodsFor: 'visitor-WSDL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPWSDLPlnkType: aObj
	^ self visitBPObject: aObj! !

!A4BPAbstractVisitor methodsFor: 'visitor-WSDL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPWSDLPort: aObj
	^ self visitBPObject: aObj! !

!A4BPAbstractVisitor methodsFor: 'visitor-WSDL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPWSDLPortType:aObj
	^ self visitBPObject: aObj! !

!A4BPAbstractVisitor methodsFor: 'visitor-WSDL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPWSDLSchema: aModel
	^ self visitBPObject: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-WSDL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPWSDLService: aObj
	^ self visitBPObject: aObj! !

!A4BPAbstractVisitor methodsFor: 'visitor-WSDL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPWSDLTypes: aObj
	^ self visitBPObject: aObj! !

!A4BPAbstractVisitor methodsFor: 'visitor-WSDL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPWSDLwsdl: aBPWSDLwsdl
	^ self visitBPObject: 	aBPWSDLwsdl ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL-Activity' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPWhile: aBPWhile
	^ self visitBPObject: aBPWhile ! !

!A4BPAbstractVisitor methodsFor: 'visitor-XSD' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPXSDComplexType: aModel
	^ self visitBPObject: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-XSD' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPXSDElement: aModel
	^ self visitBPObject: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-XSD' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPXSDImport: aObj
	^ self visitBPObject: aObj! !

!A4BPAbstractVisitor methodsFor: 'visitor-XSD' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPXSDInclude: aObj
	^ self visitBPObject: aObj! !

!A4BPAbstractVisitor methodsFor: 'visitor-XSD' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPXSDObject: aModel
	^ self visitBPObject: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-XSD' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPXSDSchema: aObj
	^ self visitBPObject: aObj! !

!A4BPAbstractVisitor methodsFor: 'visitor-XSD' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPXSDSequence: aObj
	^ self visitBPObject: aObj! !

!A4BPAbstractVisitor methodsFor: 'visitor-XSD' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitBPXSDSimpleType: aModel
	^ self visitBPObject: aModel! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitSOAAnalyzer: aSOAAnalyzer
	^ self visitBPObject: aSOAAnalyzer ! !

!A4BPAbstractVisitor methodsFor: 'visitor-BPEL' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 18:04'!
visitSOAContext:aSOAContext
	^ self visitBPObject: aSOAContext ! !

A4BPAbstractVisitor subclass: #A4BPMetricCFC
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-core-metric'!

Object subclass: #A4BPAbstractXML
	instanceVariableNames: 'parser writer'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-core-parser'!

!A4BPAbstractXML class methodsFor: 'build' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:42'!
createBaseOn: aParser
	| obj |
	obj := self new.
	obj parser: aParser.
	^ obj! !

!A4BPAbstractXML methodsFor: 'actions' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:42'!
allElementsNamed: key! !

!A4BPAbstractXML methodsFor: 'instrumentation' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:42'!
insertAfter: aXML
	! !

!A4BPAbstractXML methodsFor: 'instrumentation' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:42'!
insertBefore: aXML
! !

!A4BPAbstractXML methodsFor: 'actions' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:42'!
nameSpaces! !

!A4BPAbstractXML methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:42'!
nodes! !

!A4BPAbstractXML methodsFor: 'actions' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:42'!
parse: aStream! !

!A4BPAbstractXML methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:42'!
parser
	^ parser! !

!A4BPAbstractXML methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:42'!
parser: aParser
	^ parser := aParser! !

!A4BPAbstractXML methodsFor: 'actions' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:42'!
xPath
	^ self xpath! !

!A4BPAbstractXML methodsFor: 'actions' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:42'!
xpath
	"return a string with the path of the node"
	^ '','/', parser name. ! !

A4BPAbstractXML subclass: #A4BPXMLParserPeti
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-core-parser'!

!A4BPXMLParserPeti methodsFor: 'actions' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:48'!
allElementsNamed: key
	| col returnCol |
	returnCol := OrderedCollection new.
	col := parser findXPath: key.
	col children do: [ :n | returnCol add: (A4BPXMLParserPeti createBaseOn: n) ].
	^ returnCol! !

!A4BPXMLParserPeti methodsFor: 'actions' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:42'!
attributeAt: aAtribute
	^ parser attributes collect:[ :a | a = aAtribute ].! !

!A4BPXMLParserPeti methodsFor: 'actions' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:42'!
name
	^ parser name! !

!A4BPXMLParserPeti methodsFor: 'actions' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:42'!
nameSpaces
	"^ node namespaceScope prefixMappings dictionary"
	^ OrderedCollection new.! !

!A4BPXMLParserPeti methodsFor: 'actions' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:42'!
nodes
	| col returnCol |
	returnCol := OrderedCollection new.
	col := parser childNodes.
	col do: [ :n | returnCol add: (BPXMLParserPeti createBaseOn: n) ].
	^ returnCol! !

!A4BPXMLParserPeti methodsFor: 'actions' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:44'!
parse: aStream
	|document bpNode|
	document := PPXmlParser new end parse:aStream.
	bpNode := A4BPXMLParserPeti createBaseOn: document.
	^ bpNode! !

A4BPAbstractXML subclass: #A4BPXMLParserXMLDOM
	instanceVariableNames: 'tagWriter'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-core-parser'!

A4BPXMLParserXMLDOM class
	instanceVariableNames: 'node'!

A4BPXMLParserXMLDOM class
	instanceVariableNames: 'node'!

!A4BPXMLParserXMLDOM methodsFor: 'actions' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:44'!
allElementsNamed: key
	|col returnCol|
	returnCol := OrderedCollection new.
	col:= parser allElementsNamed: key.
	col do:[ :n| returnCol add: (A4BPXMLParserXMLDOM createBaseOn:n) ].
	^ returnCol.! !

!A4BPXMLParserXMLDOM methodsFor: 'actions' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:42'!
attributeAt: aAtribute
	^ parser attributeAt: aAtribute! !

!A4BPXMLParserXMLDOM methodsFor: 'actions' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:42'!
contentString
 ^ parser contentString.! !

!A4BPXMLParserXMLDOM methodsFor: 'writer' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:42'!
initWriter
	writer := XMLWriter new.! !

!A4BPXMLParserXMLDOM methodsFor: 'initialization' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:43'!
initialize
	super initialize.
	writer := XMLWriter new.! !

!A4BPXMLParserXMLDOM methodsFor: 'writer' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:44'!
insertAfter: aXML
	|aNewDoc |
	aNewDoc := A4BPFactoryXMLParser parser parse: (ReadStream on: aXML).
	parser writeXMLWithOutChildrenOn: writer.
	aNewDoc parser writeXMLOn: writer.
	^ writer! !

!A4BPXMLParserXMLDOM methodsFor: 'writer' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:44'!
insertAfter: aXML on:aParser
	|aNewDoc |
	aNewDoc := A4BPFactoryXMLParser parser parse: (ReadStream on: aXML).
	parser writeXMLWithOutChildrenOn: writer.
	aNewDoc parser writeXMLOn: writer.
	^ writer! !

!A4BPXMLParserXMLDOM methodsFor: 'writer' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:44'!
insertBefore: aXML
	|aNewDoc |
	aNewDoc := A4BPFactoryXMLParser parser parse: (ReadStream on: aXML).
	aNewDoc parser writeXMLOn: writer.	
	parser writeXMLWithOutChildrenOn: writer.
	^ writer! !

!A4BPXMLParserXMLDOM methodsFor: 'actions' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:42'!
name
	^ parser name! !

!A4BPXMLParserXMLDOM methodsFor: 'actions' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:42'!
nameSpaces
	^ parser namespaceScope prefixMappings dictionary! !

!A4BPXMLParserXMLDOM methodsFor: 'actions' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:44'!
nodes
	|col returnCol|
	returnCol := OrderedCollection new.
	col:= parser nodes.
	col do:[ :n| returnCol add: (A4BPXMLParserXMLDOM createBaseOn:n) ].
	^ returnCol.! !

!A4BPXMLParserXMLDOM methodsFor: 'actions' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:44'!
parse: aStream
	| document bpNode |
	document := (XMLDOMParser on: aStream) parseDocument.
	bpNode := A4BPXMLParserXMLDOM createBaseOn: document.
	^ bpNode! !

!A4BPXMLParserXMLDOM methodsFor: 'writer' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:42'!
startWriter
	writer := XMLWriter new.
	self writeXMLOn: writer.! !

!A4BPXMLParserXMLDOM methodsFor: 'writer' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:42'!
tag: aName
	^ writer tag:aName! !

!A4BPXMLParserXMLDOM methodsFor: 'writer' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:42'!
writeChildren: aBlock
	"use the sentence on XMLElement to execute similarity"
	tagWriter with: aBlock.! !

!A4BPXMLParserXMLDOM methodsFor: 'writer' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:42'!
writeOn: aWriter
	parser writeXMLOn: aWriter.
	^ aWriter! !

!A4BPXMLParserXMLDOM methodsFor: 'writer' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:42'!
writeWithOutChildrenOn: aWriter
	tagWriter:= parser writeXMLWithOutChildrenOn: aWriter.
	^ tagWriter! !

!A4BPXMLParserXMLDOM methodsFor: 'writer' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:42'!
writeXMLOn: aWriter
	parser writeXMLOn: aWriter.
	^ aWriter! !

!A4BPXMLParserXMLDOM methodsFor: 'actions' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:42'!
xpath
	"return a string with the path of the node"
	^ (self xpathOf: parser parent),'/',parser name.! !

!A4BPXMLParserXMLDOM methodsFor: 'actions' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:42'!
xpathOf: aDoc
	aDoc parent ifNil: [ ^ '' ].
	^ (self xpathOf: aDoc parent) , '/' , aDoc name! !

Object subclass: #A4BPFactoryXMLParser
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-core-parser'!

!A4BPFactoryXMLParser class methodsFor: 'builder' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 12:43'!
parser
	^ A4BPXMLParserXMLDOM new.
	"^ BPXMLParserPetiXMLParser new."! !

Object subclass: #A4BPLog
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-core-log'!

!A4BPLog class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 21:29'!
d: astring
	Transcript
		show: astring;
		cr! !

!A4BPLog class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 21:29'!
e: astring
	Transcript
		show: astring;
		cr! !

!A4BPLog class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 21:29'!
f: astring
	Transcript
		show: astring;
		cr! !

!A4BPLog class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 21:29'!
l: astring
	Transcript
		show: astring;
		cr! !

!A4BPLog class methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 21:29'!
w: astring
	Transcript
		show: astring;
		cr! !

Object subclass: #A4BPObject
	instanceVariableNames: 'aName parent childrens text myDocument'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-core-model'!

A4BPObject subclass: #A4BPEmptyObj
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-core-model'!

A4BPEmptyObj class
	instanceVariableNames: 'instance'!

A4BPEmptyObj class
	instanceVariableNames: 'instance'!

!A4BPEmptyObj class methodsFor: 'instance' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 21:58'!
annotation
	<MSEClass: #A4BPEmtyObj super: #A4BPObject>
	<package: #A4BP>! !

!A4BPEmptyObj class methodsFor: 'instance' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 00:28'!
instance
	instance ifNil:[instance:=self new].
	instance aName:'BPEmptyObj'.
	^ instance! !

!A4BPEmptyObj methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:32'!
accept: aVisitor
	^ aVisitor visitA4BPEmptyObj: self! !

!A4BPEmptyObj methodsFor: 'all' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 00:28'!
allElements
	^ OrderedCollection new! !

!A4BPEmptyObj methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 00:28'!
bpwsdl
	^ nil! !

!A4BPEmptyObj methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 08:53'!
childrens
	^ childrens! !

!A4BPEmptyObj methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
childrens: achildrens
	^ childrens := achildrens! !

!A4BPEmptyObj methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 00:28'!
getChildrenNodes
	^ nil! !

!A4BPEmptyObj methodsFor: 'initialization' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 00:28'!
initialize
	super initialize.
	aName:='Empty'.! !

!A4BPEmptyObj methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 3/6/2015 12:40'!
isEmptyObj
 ^ true! !

!A4BPEmptyObj methodsFor: 'all' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 00:28'!
link
	^ self! !

!A4BPEmptyObj methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 08:53'!
myDocument
	^ myDocument! !

!A4BPEmptyObj methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
myDocument: amyDocument
	^ myDocument := amyDocument! !

!A4BPEmptyObj methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 08:53'!
parent
	^ parent! !

!A4BPEmptyObj methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
parent: aparent
	^ parent := aparent! !

!A4BPEmptyObj methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 08:53'!
state
	^ state! !

!A4BPEmptyObj methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
state: astate
	^ state := astate! !

!A4BPEmptyObj methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 08:53'!
text
	^ text! !

!A4BPEmptyObj methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
text: atext
	^ text := atext! !

!A4BPObject class methodsFor: 'meta' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 17:46'!
annotation
	<abstract>
	<MSEClass: #A4BPObject super: #MooseEntity>
	<package: #A4BP>! !

!A4BPObject class methodsFor: 'doForAllChield' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:07'!
fillBData: document in: aBPObject
	aBPObject myDocument:document.
	aBPObject aName: (self readName: document).
	aBPObject text: document asString.
	^ aBPObject! !

!A4BPObject class methodsFor: 'doForAllChield' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:07'!
fillElementsIn: aBPObj from: document
	^ aBPObj ! !

!A4BPObject class methodsFor: 'doForAllChield' stamp: 'AlvaroJosePeraltaOcampo 11/30/2014 19:01'!
fillElementsIn: aBPObject from: document visitor: visitor
	self
		fillElementsIn: aBPObject
		from: document
		visitor: visitor
		tagRef: A4BPParserTagsXMLRef! !

!A4BPObject class methodsFor: 'doForAllChield' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 12:06'!
fillElementsIn: aBPObject from: document visitor: visitor tagRef: aTagRef
	| bpElement refTag typeName nodes |
	nodes := document nodes.
	nodes
		do: [ :docAtr | 
			typeName := docAtr name.
			refTag := aTagRef getClassBPBaseOnTypeName: typeName.
			bpElement := refTag objclass fromXMLDescription: docAtr in: aBPObject.
			bpElement accept: visitor ]! !

!A4BPObject class methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:07'!
fromXMLDescription: document
	| obj |
	obj := self new.
	self fillBData: document in: obj.
	self fillElementsIn: obj from: document.
	^ obj! !

!A4BPObject class methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 3/13/2015 12:48'!
fromXMLDescription: document in: parent
	| aBPObj |
	aBPObj := self new.
	aBPObj parent: parent.
	self fillBData: document in: aBPObj.
	self fillElementsIn: aBPObj from: document.
	^ aBPObj! !

!A4BPObject class methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 05:43'!
readBoolean: document at: tag
	^ [ (document attributeAt: tag) = 'true']
		on: MessageNotUnderstood
		do: [ ^ false ]! !

!A4BPObject class methodsFor: 'doForAllChield' stamp: 'AlvaroJosePeraltaOcampo 3/5/2015 18:34'!
readContentString: document
	^ [ document contentString ]
		on: MessageNotUnderstood
		do: [ ^ document asString ]! !

!A4BPObject class methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 12:02'!
readInt: document at: tag
	^ [ (document attributeAt: tag) asInteger ]
		on: MessageNotUnderstood
		do: [ ^ 0 ]! !

!A4BPObject class methodsFor: 'doForAllChield' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 13:39'!
readName: document
	^ [ document attributeAt: A4BPParserTagsXMLRef atrName ]
		on: MessageNotUnderstood
		do: [ ^ document asString ]! !

!A4BPObject class methodsFor: 'parser' stamp: 'AlvaroJosePeraltaOcampo 3/13/2015 09:48'!
readString: document at: tag
	^ [ document attributeAt: tag ]
		on: MessageNotUnderstood
		do: [ ^ document asString ]! !

!A4BPObject methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:07'!
aName
	^ aName! !

!A4BPObject methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:07'!
aName: pname
	aName := pname! !

!A4BPObject methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 12:05'!
accept: aVisitor
	^ aVisitor visitA4BPObject: self! !

!A4BPObject methodsFor: 'doNothing' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:07'!
addActivity: aBPActivity! !

!A4BPObject methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:07'!
addChildren: aModel
	self childrens add:aModel.! !

!A4BPObject methodsFor: 'doNothing' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:07'!
addRelation: aRel! !

!A4BPObject methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:07'!
allNodes
	|lst|
	lst:=OrderedCollection new.
	lst addAll:self childrens.
	self childrens do:[ :e| lst addAll: e allNodes ].
	^ lst.! !

!A4BPObject methodsFor: 'doNothing' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:07'!
allRelations
	^ OrderedCollection new! !

!A4BPObject methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:07'!
asString
	"
	^ aName , '[', self hash asString,'],',super asString.
	"
	^ self aName! !

!A4BPObject methodsFor: 'builder' stamp: 'AlvaroJosePeraltaOcampo 3/6/2015 08:17'!
buildInternalRelations
	" Use to make relations with self,probably use after the parser process done "

	! !

!A4BPObject methodsFor: 'metric' stamp: 'AlvaroJosePeraltaOcampo 12/9/2014 10:18'!
calculateCFC
	| metric visitor |
	metric := 0.
	visitor := A4BPMetricCFC new.
	metric := self accept: visitor.
	^ metric! !

!A4BPObject methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:07'!
childrens
	"leazy initialization"
	^ childrens ifNil:[childrens:=OrderedCollection new].! !

!A4BPObject methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:07'!
childrens: aCollection
	childrens := aCollection! !

!A4BPObject methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:07'!
cnodes
	^ self childrens ! !

!A4BPObject methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:07'!
getChildrenNodes
	^ self childrens ! !

!A4BPObject methodsFor: 'initialization' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:07'!
initialize
	aName := ''! !

!A4BPObject methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 08:05'!
isAProcess
	^ false! !

!A4BPObject methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 3/6/2015 12:40'!
isEmptyObj
 ^ false! !

!A4BPObject methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:07'!
key
	^ aName! !

!A4BPObject methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:07'!
label
	^ self aName! !

!A4BPObject methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 11:02'!
metaModelBaseClass
	^ A4BPObject ! !

!A4BPObject methodsFor: 'moose' stamp: 'AlvaroJosePeraltaOcampo 11/25/2014 19:52'!
mooseNameOn: aStream 
	aStream nextPutAll: self aName! !

!A4BPObject methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:07'!
myDocument
	^ myDocument! !

!A4BPObject methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:07'!
myDocument: document
	myDocument := document! !

!A4BPObject methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:07'!
name
	^ self aName! !

!A4BPObject methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:07'!
parent
	^ parent! !

!A4BPObject methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:07'!
parent: aModel
	parent
		ifNil: [ 
			parent := aModel.
			parent addChildren: self ]! !

!A4BPObject methodsFor: 'metric' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:07'!
size
	^ 1! !

!A4BPObject methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:07'!
text
	^ text! !

!A4BPObject methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:07'!
text: aText
	text := aText! !

!A4BPObject methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:07'!
xml
	myDocument ifNotNil: [ ^ myDocument parser asString ].
	^ ''! !

A4BPObject subclass: #A4BPSOAAnalyzer
	instanceVariableNames: 'lstSOAContext'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-core-model'!

A4BPSOAAnalyzer class
	instanceVariableNames: 'instance'!

A4BPSOAAnalyzer class
	instanceVariableNames: 'instance'!

!A4BPSOAAnalyzer class methodsFor: 'moose' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 17:49'!
annotation
	<MSEClass: #A4BPSOAAnalyzer super: #A4BPObject>
	<package: #A4BP>! !

!A4BPSOAAnalyzer class methodsFor: 'singleton' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:12'!
instance
	instance ifNil: [ instance := self new ].
	^ instance! !

!A4BPSOAAnalyzer class methodsFor: 'singleton' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 07:39'!
reset
	"self reset"
	instance := nil.
	^ 'OK'! !

!A4BPSOAAnalyzer methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:12'!
accept: aVisitor
	^ aVisitor visitSOAAnalyzer:self.! !

!A4BPSOAAnalyzer methodsFor: 'action' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:12'!
addSOAContext: aSOAContext
	lstSOAContext at: aSOAContext key put: aSOAContext! !

!A4BPSOAAnalyzer methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:42'!
childrens
	^ childrens! !

!A4BPSOAAnalyzer methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:00'!
childrens: achildrens
	^ childrens := achildrens! !

!A4BPSOAAnalyzer methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 16:19'!
contexts
	^ self lstSOAContext  ! !

!A4BPSOAAnalyzer methodsFor: 'action' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:12'!
deleteSOAContext: aSOAContext
	lstSOAContext removeKey: aSOAContext key.! !

!A4BPSOAAnalyzer methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:12'!
getChildrenNodes
	^ self lstSOAContext ! !

!A4BPSOAAnalyzer methodsFor: 'initialization' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:12'!
initialize
	super initialize.
	aName:='SOAAnalyzer'.
	lstSOAContext := Dictionary new! !

!A4BPSOAAnalyzer methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:42'!
lstSOAContext
	^ lstSOAContext! !

!A4BPSOAAnalyzer methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:00'!
lstSOAContext: alstSOAContext
	^ lstSOAContext := alstSOAContext! !

!A4BPSOAAnalyzer methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:42'!
myDocument
	^ myDocument! !

!A4BPSOAAnalyzer methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:00'!
myDocument: amyDocument
	^ myDocument := amyDocument! !

!A4BPSOAAnalyzer methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:42'!
parent
	^ parent! !

!A4BPSOAAnalyzer methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:00'!
parent: aparent
	^ parent := aparent! !

!A4BPSOAAnalyzer methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:12'!
soaContexts
	^ self lstSOAContext  ! !

!A4BPSOAAnalyzer methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:42'!
state
	^ state! !

!A4BPSOAAnalyzer methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:00'!
state: astate
	^ state := astate! !

!A4BPSOAAnalyzer methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:42'!
text
	^ text! !

!A4BPSOAAnalyzer methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:00'!
text: atext
	^ text := atext! !

A4BPObject subclass: #A4BPSOAContext
	instanceVariableNames: 'key lstElements lstBPXSDSchema lstBPProcess lstBPWSDLs'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-core-model'!

!A4BPSOAContext class methodsFor: 'moose' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 17:49'!
annotation
	<MSEClass: #A4BPSOAContext super: #A4BPObject>
	<package: #A4BP>! !

!A4BPSOAContext class methodsFor: 'create' stamp: 'AlvaroJosePeraltaOcampo 3/3/2015 14:30'!
createBaseOnPath: aPath
	| aNewSOAContext |
	aNewSOAContext := self new.
	aNewSOAContext createBaseOnPath: aPath.
	"for each context like BPEL20 or BPMN20 do the same proces in the base class"
	A4BPSOAContext subclassesDo: [ :soacClass | 
			| soacInstance |
			soacInstance := soacClass new.
			soacInstance createBaseOnPath: aPath.
			aNewSOAContext joinContext: soacInstance ].
	^ aNewSOAContext! !

!A4BPSOAContext methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/26/2014 15:18'!
accept: aVisitor
	^ aVisitor visitA4BPSOAContext: self! !

!A4BPSOAContext methodsFor: 'add' stamp: 'AlvaroJosePeraltaOcampo 11/30/2014 12:26'!
addAllElements: lst
	lst
		do: [ :p | 
			lstElements at: p aName put: p.
			p parent: self ]! !

!A4BPSOAContext methodsFor: 'add' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 13:18'!
addBPProcess: lst
	lst
		do: [ :p | 
			lstBPProcess at: p aName put: p.
			p parent: self ].
! !

!A4BPSOAContext methodsFor: 'add' stamp: 'AlvaroJosePeraltaOcampo 11/30/2014 12:27'!
addBPWSDLs: lst
	lst do: [ :w | lstBPWSDLs at: w aName put: w ].
	self addAllElements: lst! !

!A4BPSOAContext methodsFor: 'add' stamp: 'AlvaroJosePeraltaOcampo 11/30/2014 12:27'!
addBPXSDSchemas: lst
	lst do: [ :xsd | lstBPXSDSchema at: xsd aName put: xsd ].
	self addAllElements: lst.! !

!A4BPSOAContext methodsFor: 'all' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:12'!
allBPProcess
	^ lstBPProcess ! !

!A4BPSOAContext methodsFor: 'all' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:12'!
allBPWSDL
	^ lstBPWSDLs! !

!A4BPSOAContext methodsFor: 'all' stamp: 'AlvaroJosePeraltaOcampo 3/3/2015 13:07'!
allElements
	|lst|
	lst:= OrderedCollection new.
	lstElements do:[ :e | lst addAll: e childrens]. 
	^ lst! !

!A4BPSOAContext methodsFor: 'all' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 13:06'!
allProcess
	^ self allBPProcess! !

!A4BPSOAContext methodsFor: 'creator' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:12'!
buildRelations
	"Build relations for each process in all WSDL"
	lstBPProcess copy do: [ :p | lstBPWSDLs do: [ :wsdl | p buildRelations: wsdl ] ].
	"Build relations for each process in all Process"
	lstBPProcess copy do: [ :pa | lstBPProcess do: [ :pb | pa buildRelations: pb ] ].
	"Build relations for each process in all XSD".
	lstBPProcess copy do: [ :pa | lstBPXSDSchema do: [ :xsd | pa buildRelations: xsd ] ].
	"Build relatinos for each wsld in all XSD"
	lstBPWSDLs copy do: [ :wsdl | lstBPXSDSchema do: [ :xsd | wsdl buildRelations: xsd ] ].
			
! !

!A4BPSOAContext methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:42'!
childrens
	^ childrens! !

!A4BPSOAContext methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:00'!
childrens: achildrens
	^ childrens := achildrens! !

!A4BPSOAContext methodsFor: 'creator' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 08:24'!
createBaseOnPath: aString
	"create a soa world base on path of file system"

	| afr files parsers |
	afr := aString asFileReference.
	parsers := self getParsers.
	parsers
		do: [ :parser | 
			files := afr allFiles select: [ :each | each basename endsWith: parser filePrefix ].
			files do: [ :file | parser parseFile: file ].
			parser addInContext: self ].
	self buildRelations! !

!A4BPSOAContext methodsFor: 'dsl' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 12:58'!
elements
	^ self lstElements ! !

!A4BPSOAContext methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 21:53'!
getBPProcessAtName: pName
	[ ^ lstBPProcess at: pName ]
		on: KeyNotFound
		do: [ ^ A4BPEmptyObj instance ]! !

!A4BPSOAContext methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 21:53'!
getBPWSDLAtName: pName
	[ ^ lstBPWSDLs at: pName ]
		on: KeyNotFound
		do: [ ^ A4BPEmptyObj instance ]! !

!A4BPSOAContext methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 21:54'!
getBPXSDAtName: pName
	[ ^ lstBPWSDLs at: pName ]
		on: KeyNotFound
		do: [ ^ A4BPEmptyObj instance ]! !

!A4BPSOAContext methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 08:18'!
getChildrenNodes
	^ self lstElements! !

!A4BPSOAContext methodsFor: 'creator' stamp: 'AlvaroJosePeraltaOcampo 3/6/2015 08:05'!
getParsers
	"Throw a new collection to use in the overwrite object to list the parse objects for the Context"

	^ OrderedCollection new! !

!A4BPSOAContext methodsFor: 'initialization' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 07:14'!
initialize
	super initialize.
	lstBPProcess := Dictionary new.
	lstBPWSDLs := Dictionary new.
	lstBPXSDSchema :=Dictionary new.
	lstElements :=Dictionary new.
	childrens := OrderedCollection new.
	aName := self hash asString! !

!A4BPSOAContext methodsFor: 'creator' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 12:48'!
joinContext: aContext
	lstElements addAll: aContext lstElements.
	lstBPProcess addAll: aContext lstBPProcess.! !

!A4BPSOAContext methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:43'!
key
	^ key! !

!A4BPSOAContext methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:00'!
key: akey
	^ key := akey! !

!A4BPSOAContext methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:12'!
label
	^ self aName! !

!A4BPSOAContext methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:43'!
lstBPProcess
	^ lstBPProcess! !

!A4BPSOAContext methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:00'!
lstBPProcess: alstBPProcess
	^ lstBPProcess := alstBPProcess! !

!A4BPSOAContext methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:43'!
lstBPWSDLs
	^ lstBPWSDLs! !

!A4BPSOAContext methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:00'!
lstBPWSDLs: alstBPWSDLs
	^ lstBPWSDLs := alstBPWSDLs! !

!A4BPSOAContext methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:43'!
lstBPXSDSchema
	^ lstBPXSDSchema! !

!A4BPSOAContext methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:00'!
lstBPXSDSchema: alstBPXSDSchema
	^ lstBPXSDSchema := alstBPXSDSchema! !

!A4BPSOAContext methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:42'!
lstElements
	^ lstElements! !

!A4BPSOAContext methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:00'!
lstElements: alstElements
	^ lstElements := alstElements! !

!A4BPSOAContext methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:42'!
myDocument
	^ myDocument! !

!A4BPSOAContext methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:00'!
myDocument: amyDocument
	^ myDocument := amyDocument! !

!A4BPSOAContext methodsFor: 'metrics' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:12'!
numberOfProcess
	^ lstBPProcess size.! !

!A4BPSOAContext methodsFor: 'metrics' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:12'!
numberOfSchemas
	^ lstBPXSDSchema size.! !

!A4BPSOAContext methodsFor: 'metrics' stamp: 'AlvaroJosePeraltaOcampo 11/11/2014 18:12'!
numberOfWSDLs
	^ lstBPWSDLs size.! !

!A4BPSOAContext methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:42'!
parent
	^ parent! !

!A4BPSOAContext methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:00'!
parent: aparent
	^ parent := aparent! !

!A4BPSOAContext methodsFor: 'dsl' stamp: 'AlvaroJosePeraltaOcampo 3/9/2015 12:59'!
process
	^ self allProcess ! !

!A4BPSOAContext methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:42'!
state
	^ state! !

!A4BPSOAContext methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:00'!
state: astate
	^ state := astate! !

!A4BPSOAContext methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:42'!
text
	^ text! !

!A4BPSOAContext methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:00'!
text: atext
	^ text := atext! !

A4BPObject subclass: #A4BPUnParserObj
	instanceVariableNames: 'id tagName'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-core-parser'!

A4BPUnParserObj class
	instanceVariableNames: 'instance'!

A4BPUnParserObj class
	instanceVariableNames: 'instance'!

!A4BPUnParserObj class methodsFor: 'instance' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 21:58'!
annotation
	<MSEClass: #A4BPEmtyObj super: #A4BPObject>
	<package: #A4BP>! !

!A4BPUnParserObj class methodsFor: 'builder' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 09:58'!
endfromXMLDescription: document in: parent
	| aBPObj |
	aBPObj := self new.
	aBPObj parent: parent.
	self fillBData: document in: aBPObj.
	^ aBPObj! !

!A4BPUnParserObj class methodsFor: 'builder' stamp: 'AlvaroJosePeraltaOcampo 3/6/2015 07:58'!
fillElementsIn: aModel from: document
	| visitor |
	visitor := BPMN20ParserSetinA4BPUnParserObjVisitor new.
	visitor element: aModel.
	aModel tagName: document name.
	self fillElementsIn: aModel from: document visitor: visitor.! !

!A4BPUnParserObj class methodsFor: 'builder' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 10:05'!
fillElementsIn: aBPObject from: document visitor: visitor tagRef: aTagRef
	| bpElement refTag typeName nodes |
	[ 
	nodes := document nodes nodes
		do: [ :docAtr | 
			typeName := docAtr name.
			refTag := aTagRef getClassBPBaseOnTypeName: typeName.
			bpElement := refTag objclass fromXMLDescription: docAtr in: aBPObject.
			bpElement accept: visitor ] ]
		on: Error
		do: [ 
			typeName := document name.
			refTag := aTagRef getClassBPBaseOnTypeName: typeName.
			bpElement := refTag objclass endfromXMLDescription: document in: aBPObject.
			bpElement accept: visitor ]! !

!A4BPUnParserObj class methodsFor: 'instance' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 14:46'!
instance
	instance ifNil:[instance:=self new].
	instance aName:'BPEmptyObj'.
	^ instance! !

!A4BPUnParserObj methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 10:07'!
accept: aVisitor
	^ aVisitor visitA4BPUnParserObj: self! !

!A4BPUnParserObj methodsFor: 'all' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 14:46'!
allElements
	^ OrderedCollection new! !

!A4BPUnParserObj methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 14:46'!
bpwsdl
	^ nil! !

!A4BPUnParserObj methodsFor: 'builder' stamp: 'AlvaroJosePeraltaOcampo 3/6/2015 11:43'!
buildInterRelations
	! !

!A4BPUnParserObj methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
childrens
	^ childrens! !

!A4BPUnParserObj methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
childrens: achildrens
	^ childrens := achildrens! !

!A4BPUnParserObj methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 14:46'!
getChildrenNodes
	^ nil! !

!A4BPUnParserObj methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
id
	^ id! !

!A4BPUnParserObj methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
id: aid
	^ id := aid! !

!A4BPUnParserObj methodsFor: 'initialization' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 08:39'!
initialize
	super initialize.
	aName := 'Empty'.
	childrens := OrderedCollection new.
	id := UUID new asString! !

!A4BPUnParserObj methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 14:46'!
isBPEmtyObj
 ^ true! !

!A4BPUnParserObj methodsFor: 'all' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 14:46'!
link
	^ self! !

!A4BPUnParserObj methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
myDocument
	^ myDocument! !

!A4BPUnParserObj methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
myDocument: amyDocument
	^ myDocument := amyDocument! !

!A4BPUnParserObj methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
parent
	^ parent! !

!A4BPUnParserObj methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
parent: aparent
	^ parent := aparent! !

!A4BPUnParserObj methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
state
	^ state! !

!A4BPUnParserObj methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
state: astate
	^ state := astate! !

!A4BPUnParserObj methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 3/13/2015 11:44'!
tagName: value
	tagName := value.
	aName := value.! !

!A4BPUnParserObj methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/10/2014 23:45'!
text
	^ text! !

!A4BPUnParserObj methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 09:03'!
text: atext
	^ text := atext! !

Object subclass: #A4BPParserRefTagClass
	instanceVariableNames: 'tag objclass'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-core-parser'!

!A4BPParserRefTagClass class methodsFor: 'getset' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 13:15'!
getRefOnTag: tag objClass: objclass
 	| instance |
	instance:= self new.
	instance tag:tag.
	instance objclass:objclass.
^ instance ! !

!A4BPParserRefTagClass methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 13:15'!
key
 ^ tag! !

!A4BPParserRefTagClass methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 13:15'!
objclass
^ objclass! !

!A4BPParserRefTagClass methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 13:15'!
objclass: aobjclass
	objclass := aobjclass! !

!A4BPParserRefTagClass methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 13:15'!
tag
 ^ tag! !

!A4BPParserRefTagClass methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 13:15'!
tag:atag
 tag:=atag.! !

!A4BPParserRefTagClass methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 13:15'!
value: aValue
	! !

Object subclass: #A4BPParserTagsXMLRef
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-core-parser'!

A4BPParserTagsXMLRef class
	instanceVariableNames: 'tags'!

A4BPParserTagsXMLRef class
	instanceVariableNames: 'tags'!

!A4BPParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 11/18/2014 23:58'!
atrElement
^ 'element'! !

!A4BPParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 11/18/2014 23:58'!
atrInputVariable
^ 'inputVariable'! !

!A4BPParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 11/18/2014 23:58'!
atrMessageType
	^ 'messageType'! !

!A4BPParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 11/18/2014 23:58'!
atrMyRole
^ 'myRole'! !

!A4BPParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 11/18/2014 23:58'!
atrName
^ 'name'! !

!A4BPParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 11/18/2014 23:58'!
atrNamespace
	^ 'namespace'! !

!A4BPParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 11/18/2014 23:58'!
atrOperation
^ 'operation'! !

!A4BPParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 11/18/2014 23:58'!
atrOutputVariable
^ 'outputVariable'! !

!A4BPParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 11/18/2014 23:58'!
atrPartnerLink
^ 'partnerLink'! !

!A4BPParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 11/18/2014 23:58'!
atrPartnerLinkType
^ 'partnerLinkType'! !

!A4BPParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 11/18/2014 23:58'!
atrPartnerRole
^ 'partnerRole'! !

!A4BPParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 11/18/2014 23:58'!
atrPortType
^ 'portType'! !

!A4BPParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 11/18/2014 23:58'!
atrSchemaLocation
	^ 'schemaLocation'! !

!A4BPParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 11/18/2014 23:58'!
atrTargetNamespace
^ 'targetNamespace'! !

!A4BPParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 11/18/2014 23:58'!
atrType
^ 'type'! !

!A4BPParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 11/18/2014 23:58'!
atrVariable
^ 'variable'! !

!A4BPParserTagsXMLRef class methodsFor: 'atr' stamp: 'AlvaroJosePeraltaOcampo 11/18/2014 23:58'!
atrmessageType
	^ 'messageType'! !

!A4BPParserTagsXMLRef class methodsFor: 'factory' stamp: 'AlvaroJosePeraltaOcampo 3/10/2015 11:24'!
fillItems: items tag: tag class: objClass
	items add: (A4BPParserRefTagClass getRefOnTag: tag objClass: objClass)! !

!A4BPParserTagsXMLRef class methodsFor: 'factory' stamp: 'AlvaroJosePeraltaOcampo 11/18/2014 23:58'!
fillTags! !

!A4BPParserTagsXMLRef class methodsFor: 'factory' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 14:47'!
getClassBPBaseOnTypeName: aTypeName
	[ ^ self lstOfBPTagClass  at: aTypeName ]
		on: KeyNotFound
		do: [ ^ self lstOfBPTagClass at:'A4BPUnParserObj']! !

!A4BPParserTagsXMLRef class methodsFor: 'factory' stamp: 'AlvaroJosePeraltaOcampo 11/19/2014 00:31'!
getRef: aModel
	^ aModel accept: self! !

!A4BPParserTagsXMLRef class methodsFor: 'factory' stamp: 'AlvaroJosePeraltaOcampo 11/27/2014 14:45'!
lstOfBPTagClass
	tags ifNil: [ tags := Dictionary new ].
	tags size > 0
		ifTrue: [ ^ tags ].
	self setEmptyObj: tags.
	self setUnParseObj: tags.
	self fillTags.
	^ tags! !

!A4BPParserTagsXMLRef class methodsFor: 'resetting' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 13:17'!
reset
	"self reset"
	tags := nil.
	^ 'OK'! !

!A4BPParserTagsXMLRef class methodsFor: 'factory' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 13:17'!
setEmptyObj: items
	items add: (A4BPParserRefTagClass getRefOnTag: 'A4BPEmptyObj' objClass: A4BPEmptyObj).
	^ items! !

!A4BPParserTagsXMLRef class methodsFor: 'factory' stamp: 'AlvaroJosePeraltaOcampo 12/1/2014 13:17'!
setUnParseObj: items
	items add: (A4BPParserRefTagClass getRefOnTag: 'A4BPUnParserObj' objClass: A4BPUnParserObj).
	^ items! !

!A4BPParserTagsXMLRef class methodsFor: 'tag' stamp: 'AlvaroJosePeraltaOcampo 11/18/2014 23:58'!
tagFaultHandlers
	^ 'faultHandlers'! !

!A4BPParserTagsXMLRef class methodsFor: 'tag' stamp: 'AlvaroJosePeraltaOcampo 11/18/2014 23:58'!
tagInvoke
^ 'invoke'! !

!A4BPParserTagsXMLRef class methodsFor: 'tag' stamp: 'AlvaroJosePeraltaOcampo 11/18/2014 23:58'!
tagProcess
^ 'process'! !

!A4BPParserTagsXMLRef class methodsFor: 'tag' stamp: 'AlvaroJosePeraltaOcampo 11/18/2014 23:58'!
tagVariable
^ 'variable'! !

!A4BPParserTagsXMLRef class methodsFor: 'tag' stamp: 'AlvaroJosePeraltaOcampo 11/18/2014 23:58'!
tagVariables
^ 'variables'! !

Object subclass: #BPMN20ParserSetinA4BPUnParserObjVisitor
	instanceVariableNames: 'element'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A4BP-core-parser-builder'!

!BPMN20ParserSetinA4BPUnParserObjVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/30/2014 18:38'!
element
	^ element! !

!BPMN20ParserSetinA4BPUnParserObjVisitor methodsFor: 'as yet unclassified' stamp: 'AlvaroJosePeraltaOcampo 11/30/2014 18:38'!
element: aElement
	^ element := aElement! !

!BPMN20ParserSetinA4BPUnParserObjVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/30/2014 18:39'!
visitA4BPEmptyObj: aModel
	element addChildren: aModel! !

!BPMN20ParserSetinA4BPUnParserObjVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 12/11/2014 10:10'!
visitA4BPUnParserObj: aModel
	element addChildren: aModel! !

!BPMN20ParserSetinA4BPUnParserObjVisitor methodsFor: 'visitor' stamp: 'AlvaroJosePeraltaOcampo 11/30/2014 18:40'!
visitBPObject: aModel
	element addChildren: aModel! !
